# fn:namespace-uri-from-QName

fn:namespace-uri-from-QName( QName? $srcval) → anyURI?

Function signature

$srcval | xs:QName ?
Result | string ?

Extracts the namespace URI component of a QName value

XPath 2.0 Specification

Note:The old name get-namespace-from-QName [sic] is retained as a synonym. Changed in Saxon 8.1 to return a zero-length string rather than an empty sequence if the QName is in no namespace (this change occurred between the May 2003 and November 2003 drafts of the specification.)

Expand | Up Next